Create a New Tracking Instance

Request Samples:

Simple:
{ "storeId" : "19cf488b-7e72-4244-9faa-c7c3ec918bc2", "userEmail" : "[email protected]", "isTestMode" : false, }
Cookie Set:
{ Path = "/", HttpOnly = true, Domain = (string), SameSite = SameSiteMode.None, Secure = true }
This cookie helps with conversions but is not expected to work on all browsers for all users. It works in conjunction with the tracking conversion pixel


Body Params
uuid
required

ID for the store tracking is being set on.

uuid | null

(Optional) A GUID that is created via our tracking script and stored as an HTTP cookie on the browser. It is used to identify the customer's browsing session and store their selected cause. It is best to retrieve the ID from the browser's cookies and provide here, but we fall back to setting it from the thank you / order confirmation page.

string | null

The user's email address; this is not stored in plain text, and will be hashed as the user's GivingProfileId for analytics.

boolean

Sets tracking to test mode; if attached to a sale a test conversion will be performed, but no donations will be made.

extensions
object | null

Custom, freeform JSON extensions for querying and analytics.

Responses

Language
Credentials
Bearer
JWT
Response
Choose an example:
application/json